Bug 93097 - General Error. General input/output error with particular pptx file
Summary: General Error. General input/output error with particular pptx file
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.2.7.2 release
Hardware: Other All
: medium major
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.1.0 target:5.0.3 target:4.4.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-08-03 11:17 UTC by Richard Wijtten
Modified: 2016-10-25 19:20 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
PowerPoint problem file (475.96 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2015-08-03 11:17 UTC, Richard Wijtten
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Wijtten 2015-08-03 11:17:00 UTC
Created attachment 117624 [details]
PowerPoint problem file

I'm getting "General Error. General input/output error." when trying to open the PowerPoint cgmtest.pptx. This file opens fine in LibreOffice 4.2.6.3 and versions before.
Comment 1 Richard Wijtten 2015-08-03 12:00:52 UTC
I have tested the LibreOffice versions on Windows and Linux 64bit. Both Operating Systems show the same behavior.
Comment 2 Buovjaga 2015-08-03 12:02:13 UTC
Confirmed.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 902255645328efde34ddf62227c8278e8dd61ff0
TinderBox: Win-x86@39, Branch:master, Time: 2015-07-30_03:52:07
Locale: en-US (fi_FI)
Comment 3 Michael Weghorn 2015-08-03 20:50:09 UTC
(bi)bisected result (using the bibisect-44max repository):

4a9d6f8bb748938ed4137ece973adca97d4b8ce8 is the first bad commit
commit 4a9d6f8bb748938ed4137ece973adca97d4b8ce8
Author: Matthew Francis <mjay.francis@gmail.com>
Date:   Sun Mar 15 01:58:16 2015 +0800

    source-hash-ef2668bad976f1fbb70759887cafd35ea7833655
    
    commit ef2668bad976f1fbb70759887cafd35ea7833655
    Author:     Miklos Vajna <vmiklos@collabora.co.uk>
    AuthorDate: Thu Aug 28 10:08:02 2014 +0200
    Commit:     Miklos Vajna <vmiklos@collabora.co.uk>
    CommitDate: Thu Aug 28 11:01:59 2014 +0200
    
        PPTX import: fix missing document metadata
    
        Without this, the creation / modification date is lost on import.
    
        Change-Id: I0b74ac91aee7b8b3e0bc763247086a3a39816bc1

:040000 040000 94dde8f876330367148b4360e4cfd3d863247644 3a59af1a5aed0f1b349a9912a769dadafeb94c4c M	opt

---

$ git bisect log
# bad: [cf6ea17155fabb2a120ba07c150735591ac861d7] source-hash-3f94c9e9ddfd807b449f3bb9b232cf2041fa12d2
# good: [fc71ac001f16209654d15ef8c1c4018aa55769f5] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
git bisect start 'latest' 'oldest'
# good: [8cf60cc706948588e2f33a6d98b7c55d454e362a] source-hash-f340f0454627939f1830826fb5cc53a90e6c62a4
git bisect good 8cf60cc706948588e2f33a6d98b7c55d454e362a
# bad: [7beddf3808dadd525d7e55c00a5a90a2b44c23d3] source-hash-2f10386ce577f52e139aa23d41bc787d8e0b4d59
git bisect bad 7beddf3808dadd525d7e55c00a5a90a2b44c23d3
# bad: [7d319609d8266af06aa3256fd3773d052b9150dc] source-hash-1fec67aab152e0c0ad6dd85082c50f1beff7d520
git bisect bad 7d319609d8266af06aa3256fd3773d052b9150dc
# bad: [ff24df9a7aadef7aaf721b131c9e06f19fa9239a] source-hash-653025e6f10d07d0a95f7b75d56ff457f1902e82
git bisect bad ff24df9a7aadef7aaf721b131c9e06f19fa9239a
# good: [9460f8d13abf06281723950db84607788db19966] source-hash-2a93ed09240c6e9871593641dabbb7502af87986
git bisect good 9460f8d13abf06281723950db84607788db19966
# bad: [f44a1fe93fe524dedbabd854b038fc047b1d38f4] source-hash-4e96f7ffdb5d7b84ea70888626523dcdc5dfe0ac
git bisect bad f44a1fe93fe524dedbabd854b038fc047b1d38f4
# good: [62faa37985c66e2f50919f9392257d209d21520a] source-hash-7db1ac59128ecc175ec1fd943ee77d469dcb0ea1
git bisect good 62faa37985c66e2f50919f9392257d209d21520a
# bad: [3f305300348c884310d1b2366f3ea27e8f40b5ce] source-hash-125cbcbe6bbcf1cad7d885f0f6d3da5947d7fbbe
git bisect bad 3f305300348c884310d1b2366f3ea27e8f40b5ce
# bad: [cb9f9a70f8d321483971c3a07be514f839a03847] source-hash-5955a98b2aff796a0c7311f6f61a13eac8754ce7
git bisect bad cb9f9a70f8d321483971c3a07be514f839a03847
# bad: [6225e4e8c46ea1209375c09b97ce1daa540c7cf6] source-hash-854bf7399a635928e6c155ef2246d636ab11ec13
git bisect bad 6225e4e8c46ea1209375c09b97ce1daa540c7cf6
# good: [3316fdf0fc9208f400e25766bb6ebffcd34fbfc4] source-hash-80748411462c20d51d80eca63211285036af106c
git bisect good 3316fdf0fc9208f400e25766bb6ebffcd34fbfc4
# good: [a5a995d23e49701dcc967871420a3dd4880d0ddf] source-hash-4bd317f845c2f3470c7fc354e478be08c2949e0c
git bisect good a5a995d23e49701dcc967871420a3dd4880d0ddf
# bad: [4a9d6f8bb748938ed4137ece973adca97d4b8ce8] source-hash-ef2668bad976f1fbb70759887cafd35ea7833655
git bisect bad 4a9d6f8bb748938ed4137ece973adca97d4b8ce8
# good: [c2e7e97d18f6082cae02ae4a2a5a991dcee79d3c] source-hash-6a39fdf81fa561a587b9b9c6a28ba2891f448563
git bisect good c2e7e97d18f6082cae02ae4a2a5a991dcee79d3c
# first bad commit: [4a9d6f8bb748938ed4137ece973adca97d4b8ce8] source-hash-ef2668bad976f1fbb70759887cafd35ea7833655


@Miklos: Could you possibly have a look at this?
Comment 4 Miklos Vajna 2015-09-03 12:45:55 UTC
Adding Cc: to vmiklos (myself).
Comment 5 Commit Notification 2015-09-04 12:30:10 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=46cf9bb76b29f2bfa6639d9aaf4f26dee365bc0c

tdf#93097 oox: fix import of metadata from non-relative stream paths

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-09-07 09:01:30 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4ae621663cda95d91b4439ce49c969c023e65a51&h=libreoffice-5-0

tdf#93097 oox: fix import of metadata from non-relative stream paths

It will be available in 5.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-09-11 09:38:30 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d5220fcd4d2583ce7fdfaad4cc5ea2ca881f8c37&h=libreoffice-4-4

tdf#93097 oox: fix import of metadata from non-relative stream paths

It will be available in 4.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Michael Stahl (CIB) 2015-09-15 17:58:21 UTC
has been backported, removing "backportrequest"
Comment 9 Robinson Tryon (qubit) 2015-12-17 10:30:12 UTC Comment hidden (obsolete)